PETSc version 3.15.5
Fix/Edit manual page

# ISLocalToGlobalMappingGetIndices

Get global indices for every local point that is mapped

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISLocalToGlobalMappingGetIndices(ISLocalToGlobalMapping ltog,const PetscInt **array)

Not Collective

### Input Arguments

| ltog | - local to global mapping

### Output Arguments

| array | - array of indices, the length of this array may be obtained with ISLocalToGlobalMappingGetSize()

### Notes

ISLocalToGlobalMappingGetSize() returns the length the this array

### See Also

ISLocalToGlobalMappingCreate(), ISLocalToGlobalMappingApply(), ISLocalToGlobalMappingRestoreIndices(), ISLocalToGlobalMappingGetBlockIndices(), ISLocalToGlobalMappingRestoreBlockIndices()

### Level

advanced

### Location

src/vec/is/utils/isltog.c

### Examples

src/ksp/ksp/tutorials/ex43.c.html
src/ksp/ksp/tutorials/ex49.c.html
src/ksp/ksp/tutorials/ex70.c.html
src/ksp/ksp/tutorials/ex14f.F90.html
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages